

function m = cluRF2claRF(m,samples2node,cl)

    nd= 2^m.treeModels{1}.depth - 1;
    u = unique(cl);

    for i=1:length(m.treeModels)
        
        tree = m.treeModels{i};
        
        tree.classes = u;
        
        samples2node(:,i);
        
        tree.leafdist = zeros((nd+1)/2,length(u));
        
        % Go over leaf nodes and assign class statistics
        for n= (nd+1)/2 : nd
    
            hc = histc(cl(samples2node(:,i) == n), u);
            if (sum(hc)>0)
                tree.leafdist(n - (nd+1)/2 + 1, :)= hc/sum(hc);
                tree.leaftotal(n - (nd+1)/2 + 1) = sum(hc);
            end        
        end
        
        m.treeModels{i} = tree;
        
    end

end

